<?php

require_once 'model/database.php';

class Clientes
{
	public $Clientes_pdo;

	public function __CONSTRUCT()
	{
		
		

		try
		{
			$this->Clientes_pdo = Database::StartUp();     
		}
		catch(Exception $e)
		{
			die($e->getMessage());
		}
	}
	
	public function grabar($prVidcliente,$prVunique_identifier,$prVnombreleg,$prVnombrecom,$prVnombre1,$prVnombre2,$prVapellido1,$prVapellido2,$prVdui,$prVnit,$prVmh_departamento,$prVmh_municipio,$prVcod_actividad,$prVactivo,$prVregistro,$prVcontacto,$prVtel1residencia,$prVdirresidencia,$prVemail,$prVtipopersona,$prVexento)
	{

				
	
				
					$sql = "exec sp_clientes_actualizar_insertar "."'".$prVidcliente."','".$prVunique_identifier."','".$prVnombreleg."','".$prVnombrecom."','".$prVnombre1."','".$prVnombre2."','".$prVapellido1."','".$prVapellido2."','".$prVnit."','".$prVdui."','".$prVmh_departamento."','".$prVmh_municipio."','".$prVcod_actividad."','".$prVactivo."','".$prVregistro."','".$prVcontacto."','".$prVtel1residencia."','".$prVdirresidencia."','".$prVemail."','".$prVtipopersona."','".$prVexento."'";
				
						//die($sql);
				
					$stm = $this->Clientes_pdo->prepare($sql);		
					$stm->execute();
				

					// RETORNANDO LOS RESULTADOS 
					return $stm->fetchAll(PDO::FETCH_OBJ);			

					

	}

	public function eliminar($prVidcliente)
	{
					 $current_user_id =0;

					 if(isset($_SESSION["current_user_id"]))
							{
								$current_user_id = $_SESSION["current_user_id"];
							}


				
					$sql = "exec sp_clientes_eliminar "."'".$prVidcliente."',".$current_user_id;
				
				
				
					$stm = $this->Clientes_pdo->prepare($sql);		
					$stm->execute();
				

					// RETORNANDO LOS RESULTADOS 
					return $stm->fetchAll(PDO::FETCH_OBJ);			

					

	}

	public function listar($prvVCliId='',$prVstrfind ='',$prVretornar_soloid=0,$prVuid=0)
	{

	
					$sql = "exec sp_clientes_dame_datos "."'".$prvVCliId."','".$prVstrfind."',".$prVretornar_soloid.",".$prVuid;
				
					//print $sql;
				
				
					$stm = $this->Clientes_pdo->prepare($sql);		
					$stm->execute();
				

					// RETORNANDO LOS RESULTADOS 
					return $stm->fetchAll(PDO::FETCH_OBJ);
					
										
						

					

	}
}